<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 1999-2026. WebPros International GmbH. All rights reserved. -->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xs:include schemaLocation="plesk_common.xsd"/>
	<xs:simpleType name="domainName">
		<xs:annotation>
			<xs:documentation>Domain Name</xs:documentation>
		</xs:annotation>
		<xs:restriction base="string">
			<xs:minLength value="1"/>
			<xs:maxLength value="255"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="domainLogin">
		<xs:annotation>
			<xs:documentation>Domain Login Name</xs:documentation>
		</xs:annotation>
		<xs:restriction base="string">
			<xs:pattern value="[0-9a-zA-Z]{1}[\-a-zA-Z0-9_.]{0,16}"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="domainHType">
		<xs:annotation>
			<xs:documentation>Domain Hosting Type</xs:documentation>
		</xs:annotation>
		<xs:restriction base="string">
			<xs:enumeration value="vrt_hst"/>
			<xs:enumeration value="std_fwd"/>
			<xs:enumeration value="frm_fwd"/>
			<xs:enumeration value="none"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="webstatType">
		<xs:annotation>
			<xs:documentation>Web statistics type defenition</xs:documentation>
		</xs:annotation>
		<xs:restriction base="string">
			<xs:enumeration value="none"/>
			<xs:enumeration value="awstats"/>
			<xs:enumeration value="webalizer"/>
			<xs:enumeration value="smarterstats"/>
			<xs:enumeration value="urchin"/>
			<xs:enumeration value="goaccess"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:complexType name="domainDatasetType">
		<xs:annotation>
			<xs:documentation>Data to be operated</xs:documentation>
		</xs:annotation>
		<xs:all>
			<xs:element name="gen_info" type="NoneType" minOccurs="0"/>
			<xs:element name="hosting" type="NoneType" minOccurs="0"/>
			<xs:element name="limits" type="NoneType" minOccurs="0"/>
			<xs:element name="stat" type="NoneType" minOccurs="0"/>
			<xs:element name="prefs" type="NoneType" minOccurs="0"/>
			<xs:element name="user" type="NoneType" minOccurs="0"/>
			<xs:element name="disk_usage" type="NoneType" minOccurs="0"/>
			<xs:element name="performance" minOccurs="0"/>
		</xs:all>
	</xs:complexType>
	<xs:complexType name="setGenSetupType">
		<xs:annotation>
			<xs:documentation>Domain general setup info</xs:documentation>
		</xs:annotation>
		<xs:all>
			<xs:element name="status" type="objectStatus" minOccurs="0"/>
			<xs:element name="name" type="domainName" minOccurs="0"/>
			<xs:element name="client_id" type="id_type" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Only Plesk for Unix since 1.3.6</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="ip_address" type="ip_address" minOccurs="0"/>
            <xs:element name="guid" type="NoneType" minOccurs="0"/>
		</xs:all>
	</xs:complexType>
	<xs:complexType name="domainGenInfoType">
		<xs:annotation>
			<xs:documentation>General domain information</xs:documentation>
		</xs:annotation>
		<xs:all>
			<xs:element name="cr_date" type="date"/>
			<xs:element name="name" type="domainName">
				<xs:annotation>
					<xs:documentation>Domain name to be displayed in UI</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="ascii-name" type="string"/>
			<xs:element name="status" type="objectStatus"/>
			<xs:element name="real_size" type="size" default="0"/>
			<xs:element name="client_id" type="id_type"/>
			<xs:element name="dns_ip_address" type="ip_address" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Domain IP address in DNS A record. Use it in case of unexisted domain hosting.</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="htype" type="domainHType"/>
            <xs:element name="guid" type="string"/>
		</xs:all>
	</xs:complexType>
	<xs:complexType name="domainUserGet">
		<xs:annotation>
			<xs:documentation>Domain user data for 'get' operation</xs:documentation>
		</xs:annotation>
		<xs:all>
			<xs:element name="enabled" type="boolean" default="0" minOccurs="0"/>
			<xs:element name="cname" minOccurs="0">
				<xs:simpleType>
					<xs:restriction base="string">
						<xs:minLength value="0"/>
						<xs:maxLength value="255"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
			<xs:element name="pname" minOccurs="0">
				<xs:simpleType>
					<xs:restriction base="string">
						<xs:minLength value="0"/>
						<xs:maxLength value="255"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
			<xs:element name="phone" minOccurs="0">
				<xs:simpleType>
					<xs:restriction base="string">
						<xs:minLength value="0"/>
						<xs:maxLength value="255"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
			<xs:element name="fax" minOccurs="0">
				<xs:simpleType>
					<xs:restriction base="string">
						<xs:minLength value="0"/>
						<xs:maxLength value="255"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
			<xs:element name="email" minOccurs="0">
				<xs:simpleType>
					<xs:restriction base="string">
						<xs:minLength value="0"/>
						<xs:maxLength value="255"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
			<xs:element name="address" minOccurs="0">
				<xs:simpleType>
					<xs:restriction base="string">
						<xs:minLength value="0"/>
						<xs:maxLength value="255"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
			<xs:element name="city" minOccurs="0">
				<xs:simpleType>
					<xs:restriction base="string">
						<xs:minLength value="0"/>
						<xs:maxLength value="255"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
			<xs:element name="state" minOccurs="0">
				<xs:simpleType>
					<xs:restriction base="string">
						<xs:minLength value="0"/>
						<xs:maxLength value="255"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
			<xs:element name="pcode" minOccurs="0">
				<xs:simpleType>
					<xs:restriction base="string">
						<xs:minLength value="0"/>
						<xs:maxLength value="10"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
			<xs:element name="country" minOccurs="0">
				<xs:simpleType>
					<xs:restriction base="string">
						<xs:minLength value="0"/>
						<xs:maxLength value="2"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
			<xs:element name="multiply_login" type="boolean" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Proto>=1.2.0</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="perms" type="domainPerms" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Plesk>=7.1, Proto>=1.2.0</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="uid" type="string" minOccurs="0">
				<xs:annotation>
					<xs:documentation>SSO UID</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="global-login" type="string" minOccurs="0"/>
		</xs:all>
	</xs:complexType>
	<xs:complexType name="domainUserSet">
		<xs:annotation>
			<xs:documentation>Domain user data for 'set' operation</xs:documentation>
		</xs:annotation>
		<xs:sequence>
			<xs:element name="enabled" type="boolean" default="0" minOccurs="0"/>
			<xs:choice>
				<xs:sequence>
					<xs:element name="password" minOccurs="0">
						<xs:simpleType>
							<xs:restriction base="string"/>
						</xs:simpleType>
					</xs:element>
					<xs:element name="global-login" type="string" minOccurs="0"/>
				</xs:sequence>
				<xs:element name="uid" type="string" minOccurs="0">
					<xs:annotation>
						<xs:documentation>SSO UID</xs:documentation>
					</xs:annotation>
				</xs:element>
			</xs:choice>
			<xs:element name="cname" minOccurs="0">
				<xs:simpleType>
					<xs:restriction base="string">
						<xs:minLength value="0"/>
						<xs:maxLength value="255"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
			<xs:element name="pname" minOccurs="0">
				<xs:simpleType>
					<xs:restriction base="string">
						<xs:minLength value="0"/>
						<xs:maxLength value="255"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
			<xs:element name="phone" minOccurs="0">
				<xs:simpleType>
					<xs:restriction base="string">
						<xs:minLength value="0"/>
						<xs:maxLength value="255"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
			<xs:element name="fax" minOccurs="0">
				<xs:simpleType>
					<xs:restriction base="string">
						<xs:minLength value="0"/>
						<xs:maxLength value="255"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
			<xs:element name="email" minOccurs="0">
				<xs:simpleType>
					<xs:restriction base="string">
						<xs:minLength value="0"/>
						<xs:maxLength value="255"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
			<xs:element name="address" minOccurs="0">
				<xs:simpleType>
					<xs:restriction base="string">
						<xs:minLength value="0"/>
						<xs:maxLength value="255"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
			<xs:element name="city" minOccurs="0">
				<xs:simpleType>
					<xs:restriction base="string">
						<xs:minLength value="0"/>
						<xs:maxLength value="255"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
			<xs:element name="state" minOccurs="0">
				<xs:simpleType>
					<xs:restriction base="string">
						<xs:minLength value="0"/>
						<xs:maxLength value="255"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
			<xs:element name="pcode" minOccurs="0">
				<xs:simpleType>
					<xs:restriction base="string">
						<xs:minLength value="0"/>
						<xs:maxLength value="10"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
			<xs:element name="country" minOccurs="0">
				<xs:simpleType>
					<xs:restriction base="string">
						<xs:minLength value="0"/>
						<xs:maxLength value="2"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
			<xs:element name="multiply_login" type="boolean" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Proto>=1.2.0</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="perms" type="domainPerms" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Plesk>=7.1, Proto>=1.2.0</xs:documentation>
				</xs:annotation>
			</xs:element>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="domainPrefs">
		<xs:annotation>
			<xs:documentation>Domain Preferences</xs:documentation>
		</xs:annotation>
		<xs:all>
			<xs:element name="www" type="boolean" minOccurs="0">
				<xs:annotation>
					<xs:documentation>WWW-prefix to domain</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="stat_ttl" type="int" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Delete traffic statistics older than,(mounts count), max 999999</xs:documentation>
				</xs:annotation>
			</xs:element>
		</xs:all>
	</xs:complexType>
	<xs:complexType name="domainLimits">
		<xs:annotation>
			<xs:documentation>Domain limits</xs:documentation>
		</xs:annotation>
		<xs:sequence>
			<xs:element name="limit" type="PleskLimitType" maxOccurs="unbounded"/>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="domainPhHostingSet">
		<xs:annotation>
			<xs:documentation>Domain Physical Hosting for 'set' operation</xs:documentation>
		</xs:annotation>
		<xs:sequence>
			<xs:element name="property" type="PleskPhysHOstingPropertyType" maxOccurs="unbounded"/>
			<xs:element name="ip_address" type="ip_address"/>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="domainPhHostingGet">
		<xs:annotation>
			<xs:documentation>Domain Physical Hosting for 'get' operation</xs:documentation>
		</xs:annotation>
		<xs:sequence>
			<xs:element name="property" type="PleskPhysHOstingPropertyType" maxOccurs="unbounded"/>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="domainFFHostingBase">
		<xs:annotation>
			<xs:documentation>Domain Frame Forwarding Hosting</xs:documentation>
		</xs:annotation>
		<xs:sequence>
			<xs:element name="dest_url" type="forwardingURL">
				<xs:annotation>
					<xs:documentation>Destination URL</xs:documentation>
				</xs:annotation>
			</xs:element>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="domainSFHostingBase">
		<xs:annotation>
			<xs:documentation>Domain Frame Forwarding Hosting</xs:documentation>
		</xs:annotation>
		<xs:sequence>
			<xs:element name="dest_url" type="forwardingURL">
				<xs:annotation>
					<xs:documentation>Destination URL</xs:documentation>
				</xs:annotation>
			</xs:element>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="domainBTPhHosting">
		<xs:annotation>
			<xs:documentation>Domain Physical Hosting based on Template</xs:documentation>
		</xs:annotation>
		<xs:sequence>
			<xs:element name="ftp_login" type="domainLogin"/>
			<xs:element name="ftp_password">
				<xs:simpleType>
					<xs:restriction base="string">
						<xs:maxLength value="255"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
			<xs:element name="fp_admin_login" minOccurs="0">
				<xs:annotation>
					<xs:documentation>FrontPage Admin's Login</xs:documentation>
				</xs:annotation>
				<xs:simpleType>
					<xs:restriction base="string">
						<xs:maxLength value="20"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
			<xs:element name="fp_admin_password" minOccurs="0">
				<xs:annotation>
					<xs:documentation>FrontPage Admin's Password</xs:documentation>
				</xs:annotation>
				<xs:simpleType>
					<xs:restriction base="string">
						<xs:maxLength value="16"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
			<xs:element name="shell" type="string" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Must be specified if template flags the domain creation with shell</xs:documentation>
				</xs:annotation>
			</xs:element>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="domainBTHostingOp">
		<xs:annotation>
			<xs:documentation>Domain Hosting  bases on Template (Expand/Plesk Operator specific)</xs:documentation>
		</xs:annotation>
		<xs:choice>
			<xs:element name="vrt_hst">
				<xs:annotation>
					<xs:documentation>Physical hosting</xs:documentation>
				</xs:annotation>
				<xs:complexType>
					<xs:complexContent>
						<xs:extension base="domainBTPhHosting">
							<xs:sequence minOccurs="0">
								<xs:element name="ip_address" type="ip_address" minOccurs="0">
									<xs:annotation>
										<xs:documentation>Additionally specify different IP address from domain general setup</xs:documentation>
									</xs:annotation>
								</xs:element>
							</xs:sequence>
						</xs:extension>
					</xs:complexContent>
				</xs:complexType>
			</xs:element>
			<xs:element name="std_fwd">
				<xs:annotation>
					<xs:documentation>Standard forwarding</xs:documentation>
				</xs:annotation>
				<xs:complexType>
					<xs:complexContent>
						<xs:extension base="domainFFHostingBase">
							<xs:sequence minOccurs="0">
								<xs:element name="ip_address" type="ip_address" minOccurs="0">
									<xs:annotation>
										<xs:documentation>Additionally specify different IP address from domain general setup</xs:documentation>
									</xs:annotation>
								</xs:element>
							</xs:sequence>
						</xs:extension>
					</xs:complexContent>
				</xs:complexType>
			</xs:element>
			<xs:element name="frm_fwd">
				<xs:annotation>
					<xs:documentation>Frame forwarding</xs:documentation>
				</xs:annotation>
				<xs:complexType>
					<xs:complexContent>
						<xs:extension base="domainSFHostingBase">
							<xs:sequence minOccurs="0">
								<xs:element name="ip_address" type="ip_address" minOccurs="0">
									<xs:annotation>
										<xs:documentation>Additionally specify different IP address from domain general setup</xs:documentation>
									</xs:annotation>
								</xs:element>
							</xs:sequence>
						</xs:extension>
					</xs:complexContent>
				</xs:complexType>
			</xs:element>
		</xs:choice>
	</xs:complexType>
	<xs:complexType name="domainHostingAgentGet">
		<xs:annotation>
			<xs:documentation>Domain Hosting (Plesk Agent specific) for 'get' operation</xs:documentation>
		</xs:annotation>
		<xs:choice>
			<xs:element name="vrt_hst">
				<xs:annotation>
					<xs:documentation>Physical hosting</xs:documentation>
				</xs:annotation>
				<xs:complexType>
					<xs:complexContent>
						<xs:extension base="domainPhHostingGet">
							<xs:sequence>
								<xs:element name="ip_address" type="ip_address"/>
							</xs:sequence>
						</xs:extension>
					</xs:complexContent>
				</xs:complexType>
			</xs:element>
			<xs:element name="std_fwd">
				<xs:annotation>
					<xs:documentation>Standard forwarding</xs:documentation>
				</xs:annotation>
				<xs:complexType>
					<xs:complexContent>
						<xs:extension base="domainFFHostingBase">
							<xs:sequence>
								<xs:element name="ip_address" type="ip_address"/>
							</xs:sequence>
						</xs:extension>
					</xs:complexContent>
				</xs:complexType>
			</xs:element>
			<xs:element name="frm_fwd">
				<xs:annotation>
					<xs:documentation>Frame forwarding</xs:documentation>
				</xs:annotation>
				<xs:complexType>
					<xs:complexContent>
						<xs:extension base="domainSFHostingBase">
							<xs:sequence>
								<xs:element name="ip_address" type="ip_address"/>
							</xs:sequence>
						</xs:extension>
					</xs:complexContent>
				</xs:complexType>
			</xs:element>
			<xs:element name="none">
				<xs:annotation>
					<xs:documentation>No hosting</xs:documentation>
				</xs:annotation>
			</xs:element>
		</xs:choice>
	</xs:complexType>
	<xs:complexType name="domainHostingAgentSet">
		<xs:annotation>
			<xs:documentation>Domain Hosting (Plesk Agent specific) for 'set' operation</xs:documentation>
		</xs:annotation>
		<xs:choice>
			<xs:element name="vrt_hst">
				<xs:annotation>
					<xs:documentation>Physical hosting</xs:documentation>
				</xs:annotation>
				<xs:complexType>
					<xs:complexContent>
						<xs:extension base="domainPhHostingSet"/>
					</xs:complexContent>
				</xs:complexType>
			</xs:element>
			<xs:element name="std_fwd">
				<xs:annotation>
					<xs:documentation>Standard forwarding</xs:documentation>
				</xs:annotation>
				<xs:complexType>
					<xs:complexContent>
						<xs:extension base="domainFFHostingBase">
							<xs:sequence>
								<xs:element name="ip_address" type="ip_address"/>
							</xs:sequence>
						</xs:extension>
					</xs:complexContent>
				</xs:complexType>
			</xs:element>
			<xs:element name="frm_fwd">
				<xs:annotation>
					<xs:documentation>Frame forwarding</xs:documentation>
				</xs:annotation>
				<xs:complexType>
					<xs:complexContent>
						<xs:extension base="domainSFHostingBase">
							<xs:sequence>
								<xs:element name="ip_address" type="ip_address"/>
							</xs:sequence>
						</xs:extension>
					</xs:complexContent>
				</xs:complexType>
			</xs:element>
			<xs:element name="none">
				<xs:annotation>
					<xs:documentation>No hosting</xs:documentation>
				</xs:annotation>
			</xs:element>
		</xs:choice>
	</xs:complexType>
	<xs:complexType name="domainHostingOpSet">
		<xs:annotation>
			<xs:documentation>Domain Hosting (Expand/Plesk Operator specific) for 'set' operation</xs:documentation>
		</xs:annotation>
		<xs:choice>
			<xs:element name="vrt_hst">
				<xs:annotation>
					<xs:documentation>Physical hosting</xs:documentation>
				</xs:annotation>
				<xs:complexType>
					<xs:complexContent>
						<xs:extension base="domainPhHostingSet">
							<xs:sequence minOccurs="0">
								<xs:element name="ip_address" type="ip_address" minOccurs="0">
									<xs:annotation>
										<xs:documentation>Additionally specify different IP address from domain general setup</xs:documentation>
									</xs:annotation>
								</xs:element>
							</xs:sequence>
						</xs:extension>
					</xs:complexContent>
				</xs:complexType>
			</xs:element>
			<xs:element name="std_fwd">
				<xs:annotation>
					<xs:documentation>Standard forwarding</xs:documentation>
				</xs:annotation>
				<xs:complexType>
					<xs:complexContent>
						<xs:extension base="domainFFHostingBase">
							<xs:sequence minOccurs="0">
								<xs:element name="ip_address" type="ip_address" minOccurs="0">
									<xs:annotation>
										<xs:documentation>Additionally specify different IP address from domain general setup</xs:documentation>
									</xs:annotation>
								</xs:element>
							</xs:sequence>
						</xs:extension>
					</xs:complexContent>
				</xs:complexType>
			</xs:element>
			<xs:element name="frm_fwd">
				<xs:annotation>
					<xs:documentation>Frame forwarding</xs:documentation>
				</xs:annotation>
				<xs:complexType>
					<xs:complexContent>
						<xs:extension base="domainSFHostingBase">
							<xs:sequence minOccurs="0">
								<xs:element name="ip_address" type="ip_address" minOccurs="0">
									<xs:annotation>
										<xs:documentation>Additionally specify different IP address from domain general setup</xs:documentation>
									</xs:annotation>
								</xs:element>
							</xs:sequence>
						</xs:extension>
					</xs:complexContent>
				</xs:complexType>
			</xs:element>
			<xs:element name="none">
				<xs:annotation>
					<xs:documentation>No hosting</xs:documentation>
				</xs:annotation>
			</xs:element>
		</xs:choice>
	</xs:complexType>
	<xs:complexType name="domainHostingOpGet">
		<xs:annotation>
			<xs:documentation>Domain Hosting (Expand/Plesk Operator specific) for 'get' operation.</xs:documentation>
		</xs:annotation>
		<xs:choice>
			<xs:element name="vrt_hst" type="domainPhHostingGet">
				<xs:annotation>
					<xs:documentation>Physical hosting</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="std_fwd">
				<xs:annotation>
					<xs:documentation>Standard forwarding</xs:documentation>
				</xs:annotation>
				<xs:complexType>
					<xs:complexContent>
						<xs:extension base="domainFFHostingBase">
							<xs:sequence minOccurs="0">
								<xs:element name="ip_address" type="ip_address" minOccurs="0">
									<xs:annotation>
										<xs:documentation>Additionally specify different IP address from domain general setup</xs:documentation>
									</xs:annotation>
								</xs:element>
							</xs:sequence>
						</xs:extension>
					</xs:complexContent>
				</xs:complexType>
			</xs:element>
			<xs:element name="frm_fwd">
				<xs:annotation>
					<xs:documentation>Frame forwarding</xs:documentation>
				</xs:annotation>
				<xs:complexType>
					<xs:complexContent>
						<xs:extension base="domainSFHostingBase">
							<xs:sequence minOccurs="0">
								<xs:element name="ip_address" type="ip_address" minOccurs="0">
									<xs:annotation>
										<xs:documentation>Additionally specify different IP address from domain general setup</xs:documentation>
									</xs:annotation>
								</xs:element>
							</xs:sequence>
						</xs:extension>
					</xs:complexContent>
				</xs:complexType>
			</xs:element>
			<xs:element name="none">
				<xs:annotation>
					<xs:documentation>No hosting</xs:documentation>
				</xs:annotation>
			</xs:element>
		</xs:choice>
	</xs:complexType>
	<xs:complexType name="domainStat">
		<xs:annotation>
			<xs:documentation>Domain statistics</xs:documentation>
		</xs:annotation>
		<xs:all>
			<xs:element name="traffic" type="size"/>
			<xs:element name="subdom" type="unsignedInt">
				<xs:annotation>
					<xs:documentation>Subdomains</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="wu" type="unsignedInt">
				<xs:annotation>
					<xs:documentation>Web Users</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="box" type="unsignedInt">
				<xs:annotation>
					<xs:documentation>Mail Boxes</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="redir" type="unsignedInt">
				<xs:annotation>
					<xs:documentation>Mail  Redirects</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="mg" type="unsignedInt">
				<xs:annotation>
					<xs:documentation>Mail Groups</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="resp" type="unsignedInt">
				<xs:annotation>
					<xs:documentation>Mail responses</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="maillists" type="unsignedInt">
				<xs:annotation>
					<xs:documentation>Maillists</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="db" type="unsignedInt">
				<xs:annotation>
					<xs:documentation>DataBases</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="webapps" type="unsignedInt">
				<xs:annotation>
					<xs:documentation>Web applications</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="traffic_prevday" type="size">
				<xs:annotation>
					<xs:documentation>Total traffic for prev.day ( in bytes)</xs:documentation>
				</xs:annotation>
			</xs:element>
		</xs:all>
	</xs:complexType>
	<xs:complexType name="domainPerms">
		<xs:annotation>
			<xs:documentation>Domain-level user permissions</xs:documentation>
		</xs:annotation>
		<xs:sequence>
			<xs:element name="permission" type="PleskPermissionType" maxOccurs="unbounded"/>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="trafficType">
		<xs:sequence>
			<xs:element name="date" type="date"/>
			<xs:element name="http_in" type="int"/>
			<xs:element name="http_out" type="int"/>
			<xs:element name="ftp_in" type="int"/>
			<xs:element name="ftp_out" type="int"/>
			<xs:element name="smtp_in" type="int"/>
			<xs:element name="smtp_out" type="int"/>
			<xs:element name="pop3_imap_in" type="int"/>
			<xs:element name="pop3_imap_out" type="int"/>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="webStat2">
		<xs:choice>
			<xs:element name="awstats"/>
			<xs:sequence>
				<xs:element name="webalizer"/>
				<xs:element name="protected" type="xs:boolean"/>
			</xs:sequence>
			<xs:element name="none"/>
		</xs:choice>
	</xs:complexType>
	<xs:complexType name="DomainPerformanceType">
		<xs:sequence>
			<xs:element name="bandwidth" type="int" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Maximum network use (KB/S); If value is equal -1 this parameter will be dosabled</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="max_connections" type="int" minOccurs="0">
				<xs:annotation>
					<xs:documentation>Connections limited to  If value is equal -1 this parameter will be dosabled</xs:documentation>
				</xs:annotation>
			</xs:element>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="PleskPhysHOstingPropertyType">
		<xs:sequence>
			<xs:element name="name" type="xs:string"/>
			<xs:element name="value" type="xs:anySimpleType"/>
		</xs:sequence>
	</xs:complexType>
</xs:schema>
